#include<bits/stdc++.h>
using namespace std;
long long n, m[100000], sum=0;
vector<long long> a[1000];
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin>>n;
    for(long long i=0; i<n; i++){
        cin>>m[i];
        a[m[i]].push_back(m[i]);
        sum+=m[i];
    }
    for(long long i=0; i<n; i++){
        for(long long j=m[i]-1; j>0; j--){
            if(!a[j].empty()){
                sum-=j;
                a[j].pop_back();
                break;
            }
        }
    }
    cout<<sum;
    return 0;
}
